## python sei-0.1.2

=== requirements.txt ===
attrs==25.3.0
build==1.2.2.post1
certifi==2025.1.31
charset-normalizer==3.4.1
docutils==0.21.2
id==1.5.0
idna==3.10
iniconfig==2.1.0
isodate==0.7.2
jaraco.classes==3.4.0
jaraco.context==6.0.1
jaraco.functools==4.1.0
keyring==25.6.0
lxml==5.3.2
markdown-it-py==3.0.0
mdurl==0.1.2
more-itertools==10.6.0
nh3==0.2.21
packaging==24.2
platformdirs==4.3.7
pluggy==1.5.0
Pygments==2.19.1
pyproject_hooks==1.2.0
pytest==8.3.5
python-dotenv==1.1.0
pytz==2025.2
readme_renderer==44.0
requests==2.32.3
requests-file==2.1.0
requests-toolbelt==1.0.0
rfc3986==2.0.0
rich==14.0.0
twine==6.1.0
urllib3==2.4.0
zeep==4.3.1
