## python sei-0.1.4

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,10 @@
 attrs==25.3.0
 build==1.2.2.post1
 certifi==2025.1.31
+cffi==1.17.1
 charset-normalizer==3.4.1
+coverage==7.8.0
+cryptography==44.0.2
 docutils==0.21.2
 id==1.5.0
 idna==3.10
@@ -10,6 +13,7 @@
 jaraco.classes==3.4.0
 jaraco.context==6.0.1
 jaraco.functools==4.1.0
+jeepney==0.9.0
 keyring==25.6.0
 lxml==5.3.2
 markdown-it-py==3.0.0
@@ -19,9 +23,11 @@
 packaging==24.2
 platformdirs==4.3.7
 pluggy==1.5.0
+pycparser==2.22
 Pygments==2.19.1
 pyproject_hooks==1.2.0
 pytest==8.3.5
+pytest-cov==6.1.1
 python-dotenv==1.1.0
 pytz==2025.2
 readme_renderer==44.0
@@ -30,6 +36,7 @@
 requests-toolbelt==1.0.0
 rfc3986==2.0.0
 rich==14.0.0
+SecretStorage==3.3.3
 twine==6.1.0
 urllib3==2.4.0
 zeep==4.3.1
