## python snippets-0.1.1

=== requirements.txt ===
tqdm
pydantic
numpy
pandas
requests
loguru
openpyxl
click
cachetools
