## python socketio-5.13.0

=== examples/server/aiohttp/requirements.txt ===
aiohttp==3.10.11
async-timeout==1.1.0
chardet==2.3.0
multidict==2.1.4
python-engineio
python_socketio
six==1.10.0
yarl==0.9.2
