=== examples/server/tornado/requirements.txt ===
tornado==6.4.2
python-engineio
python_socketio
six==1.10.0
