=== examples/server/wsgi/requirements.txt ===
Click==7.0
enum-compat==0.0.2
enum34==1.1.6
eventlet==0.35.2
Flask==1.0.2
greenlet==0.4.12
itsdangerous==1.1.0
Jinja2==3.1.6
MarkupSafe==1.1.0
packaging==16.8
pyparsing==2.1.10
python-engineio
python-socketio
six==1.11.0
Werkzeug==2.2.3
