## python socketio-5.15.0

=== examples/server/wsgi/django_socketio/requirements.txt ===
asgiref==3.6.0
bidict==0.22.1
Django==4.2.26
gunicorn==23.0.0
h11==0.16.0
python-engineio
python-socketio
simple-websocket
sqlparse==0.5.0
wsproto==1.2.0
