## python solvespace-3.0.2

=== requirements.txt ===
setuptools
wheel
cython
