## python sscha-1.5.0

=== requirements.txt ===
numpy
scipy
ase
spglib
julia
