## python st3215-1.1.0

=== requirements.txt ===
pyserial>=3.5
types-pyserial>=3.5
