## python synthpop-0.1.1

=== requirements.txt ===
numpy>=1.20.0
pandas>=1.3.0
scikit-learn>=1.0.0
pytest>=7.0.0
copulas>=0.1.0
