## python terminusgps-1.1.0

=== requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile pyproject.toml -o requirements.txt
argparse==1.4.0
    # via python-terminusgps (pyproject.toml)
authorizenet==1.1.5
    # via python-terminusgps (pyproject.toml)
certifi==2024.8.30
    # via requests
charset-normalizer==3.4.0
    # via requests
future==1.0.0
    # via python-wialon
idna==3.10
    # via requests
lxml==4.9.4
    # via authorizenet
python-wialon==1.2.4
    # via python-terminusgps (pyproject.toml)
pyxb-x==1.2.6.2
    # via authorizenet
requests==2.32.3
    # via authorizenet
simplejson==3.19.3
    # via python-wialon
urllib3==2.2.3
    # via requests
