## python terminusgps-1.1.1

=== requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile pyproject.toml -o requirements.txt
argparse==1.4.0
    # via python-terminusgps (pyproject.toml)
asgiref==3.8.1
    # via django
authorizenet==1.1.5
    # via python-terminusgps (pyproject.toml)
boto3==1.35.80
    # via python-terminusgps (pyproject.toml)
botocore==1.35.80
    # via
    #   boto3
    #   s3transfer
certifi==2024.8.30
    # via requests
charset-normalizer==3.4.0
    # via requests
django==5.1.4
    # via python-terminusgps (pyproject.toml)
future==1.0.0
    # via python-wialon
idna==3.10
    # via requests
jmespath==1.0.1
    # via
    #   boto3
    #   botocore
lxml==4.9.4
    # via authorizenet
python-dateutil==2.9.0.post0
    # via botocore
python-wialon==1.2.4
    # via python-terminusgps (pyproject.toml)
pyxb-x==1.2.6.2
    # via authorizenet
requests==2.32.3
    # via authorizenet
s3transfer==0.10.4
    # via boto3
simplejson==3.19.3
    # via python-wialon
six==1.17.0
    # via python-dateutil
sqlparse==0.5.3
    # via django
urllib3==2.2.3
    # via
    #   botocore
    #   requests
