## python terminusgps-20.5.2

=== docs/requirements.txt ===
aiohappyeyeballs==2.4.6
aiohttp==3.11.12
aiohttp-retry==2.9.1
aiosignal==1.3.2
alabaster==1.0.0
argparse==1.4.0
asgiref==3.8.1
attrs==25.1.0
authorizenet==1.1.5
babel==2.17.0
beautifulsoup4==4.13.3
boto3==1.36.23
botocore==1.36.23
certifi==2025.1.31
charset-normalizer==3.4.1
django==5.1.6
docutils==0.21.2
frozenlist==1.5.0
future==1.0.0
idna==3.10
imagesize==1.4.1
jinja2==3.1.5
jmespath==1.0.1
lxml==4.9.4
markupsafe==3.0.2
multidict==6.1.0
packaging==24.2
propcache==0.2.1
pygments==2.19.1
pyjwt==2.10.1
python-dateutil==2.9.0.post0
-e file:///home/blake/Projects/python-terminusgps
python-wialon==1.2.4
pyxb-x==1.2.6.3
requests==2.32.3
roman-numerals-py==3.0.0
s3transfer==0.11.2
simplejson==3.20.1
six==1.17.0
snowballstemmer==2.2.0
soupsieve==2.6
sphinx==8.2.0
sphinxawesome-theme==5.3.2
sphinxcontrib-applehelp==2.0.0
sphinxcontrib-devhelp==2.0.0
sphinxcontrib-htmlhelp==2.1.0
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==2.0.0
sphinxcontrib-serializinghtml==2.0.0
sqlparse==0.5.3
twilio==9.4.5
typing-extensions==4.12.2
urllib3==2.3.0
yarl==1.18.3
