## python terminusgps-43.1.0

=== docs/requirements.txt ===
django>=5.2.1
furo==2024.04.27
python-wialon>=1.2.4
sphinxawesome-theme>=5.3.2
