## python terminusgps-43.3.0

=== docs/requirements.txt ===
autoclasstoc>=1.7.0
django>=5.2.1
furo==2024.04.27
python-wialon>=1.2.4
sphinxawesome-theme>=5.3.2
