## python terminusgps-50.1.3

=== docs/requirements.txt ===
authorizenet>=1.1.5
autoclasstoc>=1.7.0
django>=5.2.1
python-wialon>=1.2.4
sphinx>=8.2.3
sphinxawesome-theme>=5.3.2
