## python tester-3.1.0

=== Makefile ===
--- 
+++ 
@@ -76,15 +76,15 @@
 # target: build                     - Build and package code. Result in build/ folder.
 .PHONY: build
 build:
-	@${py} package.py
+	uv build
 
 
 
 # target: info                         - Displays versions.
 .PHONY: info
 info:
-	@${py} --version
-	@${py} -m pip --version
+	uv run python3 --version
+	uv run python3 -m pip --version
 #@virtualenv --version
 
 
@@ -92,7 +92,7 @@
 # target: validate                     - Validate code with pylint
 .PHONY: validate
 validate:
-	@pylint --rcfile=.pylintrc src
+	@pylint --rcfile=.pylintrc src/tester
 
 
 
@@ -100,17 +100,16 @@
 .PHONY: test-unit
 test-unit: clean
 	@$(ECHO) "$(ACTION)---> Running all tests in tests/" "$(NO_COLOR)"
-	@${py} -m coverage run --rcfile=.coveragerc -m unittest discover -b test
+	uv run python3 -m coverage run --rcfile=.coveragerc -m unittest discover -b test
 
 	$(MAKE) clean-py
 
-	# @${py} \
 
 
 # target: test                         - Run code validation, tests and display code coverage
 .PHONY: test
 test: validate test-unit
-	${py} -m coverage report  --rcfile=.coveragerc
+	uv run python3 -m coverage report  --rcfile=.coveragerc
 	$(MAKE) clean-cov
 
 
@@ -118,8 +117,12 @@
 # target: tox                         - Run "test" command for python version >=3.5
 .PHONY: tox
 tox:
-	tox
+	uv run tox
 
+# target: publish                     - Run "uv publish" with .env file
+.PHONY: publish
+publish:
+	uvx --env-file .env uv publish dist/*
 
 ## target: clean-py                     - Remove generated python files
 .PHONY: clean-py
@@ -128,6 +131,8 @@
 	find . -name '*.pyo' -exec rm -f {} +
 	find . -name '__pycache__' -exec rm -fr {} +
 	find . -name '.pytest_cache' -exec rm -fr {} +
+	find dist/ -name '*.whl' -exec rm -fr {} +
+	find dist/ -name '*.tar.gz' -exec rm -fr {} +
