## python tester-3.1.2

=== Makefile ===
--- 
+++ 
@@ -75,7 +75,7 @@
 
 # target: build                     - Build and package code. Result in build/ folder.
 .PHONY: build
-build:
+build: clean
 	uv build
 
 
@@ -92,7 +92,7 @@
 # target: validate                     - Validate code with pylint
 .PHONY: validate
 validate:
-	@pylint --rcfile=.pylintrc src/tester
+	uv run pylint --rcfile=.pylintrc src/tester
 
 
 
@@ -127,12 +127,12 @@
 ## target: clean-py                     - Remove generated python files
 .PHONY: clean-py
 clean-py:
-	find . -name '*.pyc' -exec rm -f {} +
-	find . -name '*.pyo' -exec rm -f {} +
-	find . -name '__pycache__' -exec rm -fr {} +
-	find . -name '.pytest_cache' -exec rm -fr {} +
-	find dist/ -name '*.whl' -exec rm -fr {} +
-	find dist/ -name '*.tar.gz' -exec rm -fr {} +
+	-find . -name '*.pyc' -exec rm -f {} +
+	-find . -name '*.pyo' -exec rm -f {} +
+	-find . -name '__pycache__' -exec rm -fr {} +
+	-find . -name '.pytest_cache' -exec rm -fr {} +
+	-find dist/ -name '*.whl' -exec rm -fr {} + 2>/dev/null
+	-find dist/ -name '*.tar.gz' -exec rm -fr {} + 2>/dev/null
