## python thingset-0.2.5

=== requirements.txt ===
can-isotp==2.0.6
cbor2==5.6.5
pyserial==3.5
python-can==4.5.0
