## python thingset-0.2.7

=== docs/requirements.txt ===
sphinx==7.1.2
sphinx-rtd-theme==1.3.0rc1
