## python tty-0.1.6

=== requirements.txt ===
prompt_toolkit>=3.0.32
tqdm

psutil
