## python vault-0.0.2

=== requirements.txt ===
setuptools
wheel
dotenv
colorlog
pytest
pytest-rerunfailures
hvac
custom_python_logger
